FANDOM

 
34,967 Pages

Rating-4-glossy
Brickifyworld

This article should be brickified to fit within the style of Brickipedia.
Please follow the guidelines in the Manual of Style and Wikipedia:How to edit a page.

LEGO publishes an official BOOST device compatibility list [1]. This page provides more detail information and user experiences outside of what is officially published.

Bluetooth

BOOST uses Bluetooth Low Energy (BLE) for communication between the Move Hub and the tablet. If your tablet does not support BLE, you can't use it with BOOST. While the official specs require Bluetooth 4.1 or higher, some users have successfully used Bluetooth 4.0 devices (with BLE), with the caveat the it is not possible to upgrade firmware over Bluetooth 4.0.

Windows 10

(LEGO has discontinued support for Windows devices for the Boost app. Old deployments might continue to work, but one won't be able to deploy a new clean install and won't get the latest updates.)

The BOOST app for Windows 10 requires Windows 10 OS Version 1703 (Redstone 2) or later, and is available only through the Windows App Store. As of January 2018, when starting the BOOST app for the first time, Bluetooth must be enabled on the device (e.g. via the notifications/quick settings panel). If Bluetooth is not enabled, the program will hang during loading at about 70%. Restarting the app (even after Bluetooth has been enabled) will result in the same hanging problem. To fix this you need to uninstall then re-install the app, and be certain to enable Bluetooth before running it the first time.

Working Windows 10 devices

Tablets and Laptops

  • Microsoft Surface 3 (non-pro)

Bluetooth Dongles

  • CSR-8510 based USB-Bluetooth 4.0 Dual Mode dongle

Android

The BOOST app for Android generally requires the following specs:

  • Android Tablet with Bluetooth Low Power Technology (Bluetooth 4.1 or higher, though Bluetooth 4.0 may work but will not allow firmware upgrades) 
  • 1 GB RAM 
  • Dual-Core-Processor, 1,4 GHz 
  • 4.5″-Display or bigger, however, recent version seem not to care so much 
  • Microphone 
  • Speaker 
  • Android 5.0 or above

Working Android devices

Tablets

  • Archos 101c Copper
  • Archos platinium 101 3g 
  • Asus (Google) Nexus 7” 2013 
  • Asus MeMo Pad 7 ME572C 
  • Asus MeMo Pad 7 ME176C  
  • Asus ZenPad S 8.0”  
  • Asus ZenPad 10 Z300M  
  • Asus Z380M 
  • Google Pixel C 
  • HTC Nexus 9 
  • HTC Nexus 9 (2)
  • Huawei MediaPad M3 10 Lite LTE (BAH-L09)   
  • Lenovo TAB 2 A7-10F   
  • Lenovo TAB 2 A10-70F
  • Lenovo TAB 2 A10-70L  
  • Lenovo TB2-X30F 
  • Lenovo TB3 710F 
  • Lenovo Tab 4 8”
  • Lenovo Tab 4 10” (TB-X304F)
  • Lenovo Yoga Tablet 2 8” 
  • Lenovo Yoga Tab 3 8” 
  • LG Gtab 8.3  
  • Nvidia SHIELD Tablet (LTE) 
  • Samsung Galaxy Tab S 
  • Samsung Galaxy Tab A 7.0” 
  • Samsung Galaxy Tab A9 
  • Samsung Galaxy Tab S2 
  • Sony Xperia Z2 Tablet
  • Sony Xperia Z3 Tablet Compact (2) 
  • Xiaomi Mi Pad 2

Kindle FIRE Devices

  • Fire 7 (2017)
  • Fire HD 8 (2015)
  • Fire HD 8 (2016)
  • Fire HD 8 (2017)
  • Fire HD 10 (2015)
  • Fire HD 10 (2017)

Phones

  • BQ Aquaris X5 Plus
  • Huawei Honor 5X
  • Huawei Mate SE/Honor 7X
  • Motorola Moto G (gen2)
  • Motorola moto Z Play 
  • One Plus 3 
  • Samsung Galaxy A5 (2017 edition)
  • Samsung Galaxy C9 Pro
  • Samsung Galaxy S4
  • Samsung Note 4 
  • Samsung Note 8 
  • Sony Xperia Z1 
  • Sony Xperia Z5 Dual 
  • Sony Xperia XZ1 Compact  
  • UMI Super
  • Xiaomi Mi A1 

Devices that can be made to work

  • Kindle fire HD 7. With Google play services installed 

Chromebooks

Many Chromebooks can now run Android apps, including Lego Boost, which is available in the Play Store for Chromebooks. The Chromebooks must support Bluetooth LE. User experience will be much better for touchscreen-based Chromebooks or tablet-convertibles, as the app is designed for touchscreen use, but should be possible to using with a touchpad.

Known Working Chromebooks

  • Lenovo 500E

iOS (iPad and iPhone)

The BOOST app for iPad and iPhone requires iOS 10.3 or later. The following devices have not been tested - please try installing the app to see if it is compatible.

Working iOS devices

  • iPad (4th generation) and later
  • iPad Mini 2 and later
  • all iPad Pro's
  • iPhone 5 and later
  • iPod touch (6th generation) - NOT TESTED

Not working iOS devices

  • iPad (3rd generation)
  • iPad 2
  • iPad (original/first generation)
  • iPad mini (original/1st generation)
  • iPhone 4s and before
  • iPod touch (5th generation) and before
Community content is available under CC-BY-SA unless otherwise noted.